Documentation · API reference
PUT/api/v1/team/members/{id}

Put member

What to send

MemberChange

may_visitors
boolean
role
stringneeded
sites
list of string or null

The answer

Status 204

Asking

With your token from Settings
curl -X PUT https://tidekeeper.eu/api/v1/team/members/{id} \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{"role": "…"}'
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/team/members/{id}", {
  method: "PUT",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"role": "…"}),
}).then((r) => r.json());